summaryrefslogtreecommitdiff
path: root/dev-libs/libdnet
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
commit8e8120eabdd28020aa69c7a60505cce2edd20adc (patch)
tree061bf0acdc672720e0bc3a2d575f67d25aedb2d8 /dev-libs/libdnet
parentc16790af2c9b4cbc38e565d4311252193ff85484 (diff)
downloadbaldeagleos-repo-21.1.2.tar.gz
baldeagleos-repo-21.1.2.tar.xz
baldeagleos-repo-21.1.2.zip
Updating liguros repo21.1.2
Diffstat (limited to 'dev-libs/libdnet')
-rw-r--r--dev-libs/libdnet/libdnet-1.14-r1.ebuild31
-rw-r--r--dev-libs/libdnet/libdnet-1.14-r2.ebuild (renamed from dev-libs/libdnet/libdnet-9999.ebuild)51
2 files changed, 44 insertions, 38 deletions
diff --git a/dev-libs/libdnet/libdnet-1.14-r1.ebuild b/dev-libs/libdnet/libdnet-1.14-r1.ebuild
index a57d98ceac43..bb199036984d 100644
--- a/dev-libs/libdnet/libdnet-1.14-r1.ebuild
+++ b/dev-libs/libdnet/libdnet-1.14-r1.ebuild
@@ -1,7 +1,8 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
AT_M4DIR="config"
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
DISTUTILS_OPTIONAL=1
@@ -10,22 +11,20 @@ inherit autotools distutils-r1
DESCRIPTION="simplified, portable interface to several low-level networking routines"
HOMEPAGE="https://github.com/ofalk/libdnet"
SRC_URI="https://github.com/ofalk/${PN}/archive/${P}.tar.gz"
-LICENSE="LGPL-2"
+S="${WORKDIR}/${PN}-${P}"
+LICENSE="LGPL-2"
SLOT="0"
-KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 sparc x86"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86"
IUSE="python static-libs test"
-
-DEPEND="
- python? ( ${PYTHON_DEPS} )
-"
-RDEPEND="
- ${DEPEND}
-"
-RESTRICT="test"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="test"
+
+DEPEND="python? ( ${PYTHON_DEPS} )"
+RDEPEND="${DEPEND}"
+
DOCS=( README.md THANKS TODO )
-S=${WORKDIR}/${PN}-${P}
+
PATCHES=(
"${FILESDIR}"/${PN}-1.14-ndisc.patch
"${FILESDIR}"/${PN}-1.14-strlcpy.patch
@@ -48,7 +47,7 @@ src_prepare() {
eautoreconf
if use python; then
- cd python
+ cd python || die
distutils-r1_src_prepare
fi
}
@@ -62,7 +61,7 @@ src_configure() {
src_compile() {
default
if use python; then
- cd python
+ cd python || die
distutils-r1_src_compile
fi
}
@@ -70,9 +69,9 @@ src_compile() {
src_install() {
default
if use python; then
- cd python
+ cd python || die
unset DOCS
distutils-r1_src_install
fi
- find "${D}" -name '*.la' -delete || die
+ find "${ED}" -name '*.la' -delete || die
}
diff --git a/dev-libs/libdnet/libdnet-9999.ebuild b/dev-libs/libdnet/libdnet-1.14-r2.ebuild
index 7545ac6d73fa..2ff784e327d0 100644
--- a/dev-libs/libdnet/libdnet-9999.ebuild
+++ b/dev-libs/libdnet/libdnet-1.14-r2.ebuild
@@ -1,33 +1,38 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
AT_M4DIR="config"
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
DISTUTILS_OPTIONAL=1
-inherit autotools distutils-r1 git-r3
+inherit autotools distutils-r1
DESCRIPTION="simplified, portable interface to several low-level networking routines"
HOMEPAGE="https://github.com/ofalk/libdnet"
-EGIT_REPO_URI="https://github.com/ofalk/libdnet"
-EGIT_BRANCH="devel"
-LICENSE="LGPL-2"
+SRC_URI="https://github.com/ofalk/${PN}/archive/${P}.tar.gz"
+S="${WORKDIR}/${PN}-${P}"
+LICENSE="LGPL-2"
SLOT="0"
-KEYWORDS=""
-IUSE="python static-libs test"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="python test"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="!test? ( test )"
-DEPEND="
- python? ( ${PYTHON_DEPS} )
-"
-RDEPEND="
- ${DEPEND}
+DEPEND="python? ( ${PYTHON_DEPS} )"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ python? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ )
"
-RESTRICT="test"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-DOCS=( README.md THANKS TODO )
+
+DOCS=( README.md THANKS )
+
PATCHES=(
- "${FILESDIR}"/${PN}-1.14-strlcpy.patch
+ "${FILESDIR}/${PN}-1.14-ndisc.patch"
+ "${FILESDIR}/${PN}-1.14-strlcpy.patch"
)
src_prepare() {
@@ -47,31 +52,33 @@ src_prepare() {
eautoreconf
if use python; then
- cd python
+ cd python || die
distutils-r1_src_prepare
fi
}
src_configure() {
econf \
- $(use_with python) \
- $(use_enable static-libs static)
+ --disable-static \
+ $(use_with python)
}
src_compile() {
default
if use python; then
- cd python
+ cd python || die
distutils-r1_src_compile
fi
}
src_install() {
default
+
if use python; then
- cd python
+ cd python || die
unset DOCS
distutils-r1_src_install
fi
- find "${D}" -name '*.la' -delete || die
+
+ find "${ED}" -name '*.la' -delete || die
}